import request from '@/utils/request'

// 查询列表
export function listPrice(data) {
  return request({
    url: '/system/web/price/list',
    method: 'post',
    data: data
  })
}

//新增
export function addPrice(data) {
  return request({
    url: '/system/web/price/save',
    method: 'post',
    data: data
  })
}


//类型删除
export function delPrice(query) {
  return request({
    url: '/system/web/price/delete',
    method: 'get',
    params: query
  })
}

//购买类别
export function priceType(data) {
  return request({
    url: '/system/web/productType/all',
    method: 'post',
    data: data
  })
}

//定价审核
export function checkPrice(data) {
  return request({
    url: '/system/web/price/check',
    method: 'post',
    data: data
  })
}
